summaryrefslogtreecommitdiffstats
path: root/admin
diff options
context:
space:
mode:
authorJosh Hoyt <josh@janrain.com>2006-02-11 01:20:43 +0000
committerJosh Hoyt <josh@janrain.com>2006-02-11 01:20:43 +0000
commit9d3850e9077fad084f6cc09b76ca6ce92f072ecc (patch)
treebdb6e9d48e0139a564e864b8b814eee4fda996bf /admin
parentc072aa2de96f0f5abc41ed070bb1c6e265eece32 (diff)
downloadphp-openid-9d3850e9077fad084f6cc09b76ca6ce92f072ecc.zip
php-openid-9d3850e9077fad084f6cc09b76ca6ce92f072ecc.tar.gz
php-openid-9d3850e9077fad084f6cc09b76ca6ce92f072ecc.tar.bz2
[project @ Added script to find files with global variables]
Diffstat (limited to 'admin')
-rw-r--r--admin/findglobals5
-rw-r--r--admin/fixperms1
2 files changed, 6 insertions, 0 deletions
diff --git a/admin/findglobals b/admin/findglobals
new file mode 100644
index 0000000..2fcb0e6
--- /dev/null
+++ b/admin/findglobals
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+# Find all PHP modules that are likely to have global variables
+set -e
+
+./admin/findphp | xargs grep '^\$'
diff --git a/admin/fixperms b/admin/fixperms
index 190e8ea..2b710d1 100644
--- a/admin/fixperms
+++ b/admin/fixperms
@@ -4,6 +4,7 @@ admin/checkimport
admin/checkimports
admin/docblocks
admin/findphp
+admin/findglobals
admin/fixperms
admin/makedoc.sh
admin/mathlib